# Backend

## Project Structure

    APPALGO-SOSE24
    Backend
    │
    └── src
        |
        ├── main.py
        │
        └── requirements.txt

## Setup

1. **Install Python**: go to [python.org](https://wiki.python.org/moin/BeginnersGuide/Download)

3. **Navigate to Backend**:

    ```bash
    cd appalgo-sose24/src
    ```

4. **Create and Activate a Virtual Environment** (Optional but recommended):

    ```bash
    python3 -m venv venv
    ```
    In a Unix-based System run:
    ```bash
    source venv/bin/activate
    ```
    In Windows run:
    ```bash
    .venv\Scripts\activate
    ```

5. **Install the Dependencies:**

    ```bash
    pip install -r requirements.txt
    ```

## Test Setup

1. Geh sicher, dass alle Dependencies installiert sind.

2. **Install Poetry**: https://python-poetry.org/docs/